/* 
    Document   : popup
    Created on : Jun 27, 2016, 10:23:49 AM
    Author     : ipesce
    Description:
        Estilo de popups y modals.
*/


/*Estilo generico (template) con clases del Modal*/

.modal {

    /* display: none; */
    display: none;   
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 90px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0, 0, 0, 0.57); /* Black w/ opacity */

}

.modal-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    border: 1px solid #888;
    border-radius: 15px;
    max-width: -moz-max-content;  /*Achico o agrando el modal segun sus elementos*/ 
    display: table;               /*Achico o agrando el modal segun sus elementos*/ 
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s;

}

/* Animaciones modal */
@-webkit-keyframes animatetop {
    from {top:-300px; opacity:0} 
to {top:0; opacity:1}
}

@keyframes animatetop {
    from {top:-300px; opacity:0}
to {top:0; opacity:1}
}

.modal-header {
    padding: 2px 16px ;
    background-color: rgb(197, 214, 236);
    color: rgb(21, 39, 86);
    /* bordes redondeados */
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}


.modal-header.error {
    background-color: #eddada;
    color: #991714;
}

.modal-header.advertencia {
    background-color: #fcf8e3;
    color: #806840;
}

.close {
    color: rgb(21, 39, 86);
    float: right;
    font-size: 31px;
    font-weight: bold;
    margin-top: 10px;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}


.modal-body {padding: 2px 16px;}

.modal-footer {
    padding: 2px 16px;
    background-color: rgba(216, 226, 240, 0.94);
    color: rgb(21, 39, 86);
    /* bordes redondeados */
    border-bottom-right-radius: 8px;
    border-bottom-left-radius: 8px;   

/*    display: flex;*/
    justify-content: center;
    align-items: center;
    text-align: center;
}

.modal-footer.botoneraModal {
    height: 50px;
    display: flex;
}


.modal-footer.error {
    background-color: #f2dede;     
}

.modal-footer.advertencia {
    background-color: #ede9d4;
}


.center{
    text-align: center

}

.btn-modal{
    border: none;
    display: inline-block;
    outline: 0;
    padding: 6px 16px;
    vertical-align: middle;
    overflow: hidden;
    text-decoration: none!important;
    color: #fff;
    background-color: #000;
    text-align: center;
    cursor: pointer;
    white-space: nowrap;
    text-shadow: 1px 1px 1px #333;
    border-radius: 5px;
}

.btn-modal.margen{
    margin-right: 15%; 
}

.btn-modal.largo {
    font-size: 18px!important
}

.btn-modal.azul{
    background-color: #31467F;  
}

.btn-modal.azul:hover {
    color: #fff!important;
    background-color: #174568;

}

.btn-modal.rojo{
    background-color: #da4c35;
}

.btn-modal.rojo:hover {
    color: #fff!important;
    background-color: #fdb827;
}



